package com.ruoyi.quartz.task;

import com.ruoyi.kaohe.domain.KhVote;
import com.ruoyi.kaohe.service.IKhVoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.common.utils.StringUtils;

import java.util.Date;
import java.util.List;

/**
 * 定时任务调度测试
 * 
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{
    @Autowired
    private IKhVoteService khVoteService;

    public void performTask() {
        System.out.println("进入定时任务-------------------------------------------------------------");
        //获取所有未完成的评分任务
        List<KhVote> list = khVoteService.selectUnfinishedVote();
        for (KhVote vote : list) {
            Date sTime = vote.getsTime();
            Date eTime = vote.geteTime();
            String state = vote.getState();
            // 获取当前日期和时间
            Date now = new Date();
            // 根据当前时间与开始、结束时间关系 修改状态
            if (state.equals("0") && (now.after(sTime) && now.before(eTime))) {
                vote.setState("1");
                khVoteService.updateKhVote(vote);
                System.out.println("执行定时任务: " + System.currentTimeMillis() + " 修改评分任务： " + vote.getVoteTitle() + "  状态为进行中");
            }
            if (now.after(eTime)) {
                vote.setState("2");
                khVoteService.updateKhVote(vote);
                System.out.println("执行定时任务: " + System.currentTimeMillis() + " 修改评分任务： " + vote.getVoteTitle() + "  状态为已完成");
            }
        }
    }

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }
}
